function lvl_params = make_hmp_path_Cv1_params(raw_feature_info)
% Two Layers 10 =9=> 4 (36,45) =3=> 3 (81,117)

% Feature dependent parameters
lvl_params(1).type = raw_feature_info{1};
lvl_params(1).subdir = raw_feature_info{2};
lvl_params(1).format = raw_feature_info{3};
% lvl_params(1).dict_sz = raw_feature_info{4};

% First layer
% patch size of 10 and pooling in 9x9 regions
lvl_params(1).dict_sz = 300;
lvl_params(1).patch_sz = 10;
lvl_params(1).coding = 'omp_sign';
lvl_params(1).pooling = 9;
lvl_params(1).sparsity = 5;
lvl_params(1).remove_DC = true;
lvl_params(1).L2_normalize = false;

% Second layer
% patch size of 4 (36 raw px) and pooling in 3x3 regions
lvl_params(2).type = 'feature_map';
lvl_params(2).dict_sz = 1000;
lvl_params(2).patch_sz = 4;
lvl_params(2).coding = 'omp_sign';
lvl_params(2).pooling = 3;
lvl_params(2).sparsity = 10;
lvl_params(2).remove_DC = false;
lvl_params(2).L2_normalize = true;

% Third Layer
% patch size of 3 (81 raw px)
lvl_params(3).type = 'feature_map';
lvl_params(3).dict_sz = 1000;
lvl_params(3).patch_sz = 3;
lvl_params(3).coding = 'omp_sign';
lvl_params(3).pooling = 1;
lvl_params(3).sparsity = 10;
lvl_params(3).remove_DC = false;
lvl_params(3).L2_normalize = true;

end
